#ifndef EDITWAKESDIALOG_H
#define EDITWAKESDIALOG_H

#ifndef WX_PRECOMP
	//(*HeadersPCH(DEditWakes)
	#include <wx/sizer.h>
	#include <wx/stattext.h>
	#include <wx/textctrl.h>
	#include <wx/button.h>
	#include <wx/dialog.h>
	//*)
#endif
//(*Headers(DEditWakes)
//*)

#include "CMesh.h"
#include "DElemSelection.h"
#include "params.h"

class DEditWakes: public wxDialog
{
public:
    DEditWakes(
            wxWindow* parent,
            bool& modified,
            CMesh* pMesh,
            setUInt& elemSelection,
            wxWindowID id=wxID_ANY,
            const wxPoint& pos=wxDefaultPosition,
            const wxSize& size=wxDefaultSize);
    virtual ~DEditWakes();

    //(*Declarations(DEditWakes)
    wxButton* SelectButton;
    wxButton* OKButton;
    wxStaticText* StaticText2;
    wxStaticText* StaticText1;
    wxTextCtrl* UpperElem;
    wxTextCtrl* LowerElem;
    wxButton* CancelButton;
    //*)

protected:
    //(*Identifiers(DEditWakes)
    static const long ID_STATICTEXT1;
    static const long ID_TEXTCTRL1;
    static const long ID_STATICTEXT2;
    static const long ID_TEXTCTRL2;
    static const long ID_BUTTON3;
    static const long ID_BUTTON1;
    static const long ID_BUTTON2;
    //*)

private:
    bool& m_modified;
    CMesh* m_pMesh;
    setUInt& m_elemSelection;

    //(*Handlers(DEditWakes)
    void OnOKButtonClick(wxCommandEvent& event);
    void OnCancelButtonClick(wxCommandEvent& event);
    void OnSelectButtonClick(wxCommandEvent& event);
    //*)

    DECLARE_EVENT_TABLE()
};

#endif
