#ifndef DREFERENCEVALUES_H
#define DREFERENCEVALUES_H

#ifndef WX_PRECOMP
	//(*HeadersPCH(DReferenceValues)
	#include <wx/sizer.h>
	#include <wx/stattext.h>
	#include <wx/textctrl.h>
	#include <wx/button.h>
	#include <wx/dialog.h>
	//*)
#endif
//(*Headers(DReferenceValues)
//*)

#include "CProjectData.h"
#include "DSimpleMessage.h"

class DReferenceValues: public wxDialog
{
public:
    DReferenceValues(
            wxWindow* parent,
            bool& modified,
            CProjectData* pProjectData,
            wxWindowID id=wxID_ANY,
            const wxPoint& pos=wxDefaultPosition,
            const wxSize& size=wxDefaultSize);
    virtual ~DReferenceValues();

    //(*Declarations(DReferenceValues)
    wxStaticText* StaticText10;
    wxStaticText* StaticText9;
    wxTextCtrl* originY;
    wxButton* OKButton;
    wxTextCtrl* SurfaceBox;
    wxStaticText* StaticText2;
    wxStaticText* StaticText8;
    wxTextCtrl* WingspanBox;
    wxStaticText* StaticText1;
    wxStaticText* StaticText3;
    wxTextCtrl* originZ;
    wxTextCtrl* originX;
    wxTextCtrl* MacBox;
    wxStaticText* StaticText4;
    wxButton* CancelButton;
    //*)

protected:
    //(*Identifiers(DReferenceValues)
    static const long ID_STATICTEXT8;
    static const long ID_TEXTCTRL1;
    static const long ID_STATICTEXT9;
    static const long ID_TEXTCTRL2;
    static const long ID_STATICTEXT10;
    static const long ID_TEXTCTRL3;
    static const long ID_STATICTEXT1;
    static const long ID_STATICTEXT2;
    static const long ID_TEXTCTRL4;
    static const long ID_STATICTEXT3;
    static const long ID_TEXTCTRL5;
    static const long ID_STATICTEXT4;
    static const long ID_TEXTCTRL6;
    static const long ID_BUTTON1;
    static const long ID_BUTTON2;
    //*)

private:
    bool& m_modified;
    CProjectData* m_pProjectData;

    //(*Handlers(DReferenceValues)
    void OnCancelButtonClick(wxCommandEvent& event);
    void OnOKButtonClick(wxCommandEvent& event);
    //*)

    DECLARE_EVENT_TABLE()
};

#endif
