#ifndef TYPENAMES_H
#define TYPENAMES_H

#include <list>
#include <map>
#include <set>
#include <string>
#include <vector>

using namespace std;

typedef vector < bool > vecBool;
typedef unsigned int uInt;
typedef vector < uInt > vecUInt;
typedef vector < vecUInt > vecVecUInt;
typedef vector < int > vecInt;
typedef vector < vecInt > vecVecInt;
typedef vector < double > vecDbl;
typedef vector < vecDbl > vecVecDbl;
typedef vector < vecVecDbl > vecVecVecDbl;
typedef vector < double* > vecPDbl;
typedef vector < string > vecStr;
typedef set < uInt > setUInt;
typedef setUInt::iterator setUIntIt;
typedef setUInt::const_iterator setConstUIntIt;
typedef pair <uInt,uInt> pairUIntUInt;

#endif
