// Copyright (C) 2011  Daniel Filkovic

// This file is part of APAME.

// APAME is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// APAME is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with APAME.  If not, see <http://www.gnu.org/licenses/>.

// file initialize_plot_data.sci

// This function initializes plot data to default values

function [plot_data]=initialize_plot_data()

plot_data=struct("plot_field",0,    ...
                 "body_only",1,    ...
                 "field_data",0,    ...
                 "smooth_plot",1,    ...
                 "plot_case",1,    ...
                 "plot_crop",0,    ...
                 "plot_crop_min",-1.5,    ...
                 "plot_crop_max",1,    ...
                 "body_color",29,    ...
                 "dummy_color",5,    ...
                 "wake_color",7);

endfunction
