// Copyright (C) 2010-2011  Daniel Filkovic

// This file is part of APAME.

// APAME is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// APAME is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with APAME.  If not, see <http://www.gnu.org/licenses/>.

// file poly_det.sci

// This function calculates x and z coordinates polynoms

function [p_x,p_y,p_z] = poly_det(x_foil,y_foil,z_foil,N,M_seg)

p_x = zeros(N,M_seg);
p_y = zeros(N,M_seg);
p_z = zeros(N,M_seg);
for i = 1:N
    p_x(i,:) = polyfit(y_foil(i,:),x_foil(i,:),M_seg-1);
    p_y(i,:) = polyfit(y_foil(i,:),y_foil(i,:),M_seg-1);
    p_z(i,:) = polyfit(y_foil(i,:),z_foil(i,:),M_seg-1);
end

endfunction
