// Copyright (C) 2010-2011  Daniel Filkovic

// This file is part of APAME.

// APAME is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// APAME is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with APAME.  If not, see <http://www.gnu.org/licenses/>.

// file scale_seg.sci

// This function scales airfoils according to their chord lengths

function [x_foil_new,z_foil_new]=scale_seg(x_foil,z_foil,crd_af,N,M_seg)

x_foil_new = zeros(N,M_seg);
z_foil_new = zeros(N,M_seg);
for i = 1:M_seg
    x_foil_new(:,i) = x_foil(:,i)*crd_af(i);
    z_foil_new(:,i) = z_foil(:,i)*crd_af(i);
end

endfunction
