#ifndef DANALYSISREPORT_H
#define DANALYSISREPORT_H

#ifndef WX_PRECOMP
	//(*HeadersPCH(DAnalysisReport)
	#include <wx/sizer.h>
	#include <wx/textctrl.h>
	#include <wx/button.h>
	#include <wx/dialog.h>
	//*)
#endif
//(*Headers(DAnalysisReport)
//*)

#include "CResults.h"
#include "generalFunctions.h"

class DAnalysisReport: public wxDialog
{
public:
	DAnalysisReport(
            wxWindow* parent,
            CResults* pResults,
            wxWindowID id=wxID_ANY,
            const wxPoint& pos=wxDefaultPosition,
            const wxSize& size=wxDefaultSize);
	virtual ~DAnalysisReport();

	//(*Declarations(DAnalysisReport)
	wxButton* CloseButton;
	wxTextCtrl* AnalysisText;
	//*)

protected:
	//(*Identifiers(DAnalysisReport)
	static const long ID_TEXTCTRL1;
	static const long ID_BUTTON1;
	//*)

private:
    CResults* m_pResults;

	//(*Handlers(DAnalysisReport)
	void OnCloseButtonClick(wxCommandEvent& event);
	//*)

	DECLARE_EVENT_TABLE()
};

#endif
