#ifndef DCHANGEELEMTYPE_H
#define DCHANGEELEMTYPE_H

#ifndef WX_PRECOMP
	//(*HeadersPCH(DChangeElemType)
	#include <wx/sizer.h>
	#include <wx/radiobox.h>
	#include <wx/button.h>
	#include <wx/dialog.h>
	//*)
#endif
//(*Headers(DChangeElemType)
//*)

#include "CMesh.h"
#include "DElemSelection.h"
#include "params.h"
#include "typenames.h"

class DChangeElemType: public wxDialog
{
public:
    DChangeElemType(
            wxWindow* parent,
            bool& modified,
            CMesh* pMesh,
            setUInt& elemSelection,
            wxWindowID id=wxID_ANY,
            const wxPoint& pos=wxDefaultPosition,
            const wxSize& size=wxDefaultSize);
    virtual ~DChangeElemType();

    //(*Declarations(DChangeElemType)
    wxButton* SelectButton;
    wxButton* OKButton;
    wxRadioBox* TypeRadioBox;
    wxButton* CancelButton;
    //*)

protected:
    //(*Identifiers(DChangeElemType)
    static const long ID_RADIOBOX1;
    static const long ID_BUTTON3;
    static const long ID_BUTTON1;
    static const long ID_BUTTON2;
    //*)

private:
    bool& m_modified;
    CMesh* m_pMesh;
    setUInt& m_elemSelection;

    //(*Handlers(DChangeElemType)
    void OnCancelButtonClick(wxCommandEvent& event);
    void OnOKButtonClick(wxCommandEvent& event);
    void OnSelectButtonClick(wxCommandEvent& event);
    //*)

    DECLARE_EVENT_TABLE()
};

#endif
