#ifndef DCONFIRMATION_H
#define DCONFIRMATION_H

#ifndef WX_PRECOMP
	//(*HeadersPCH(DConfirmation)
	#include <wx/sizer.h>
	#include <wx/stattext.h>
	#include <wx/button.h>
	#include <wx/dialog.h>
	//*)
#endif
//(*Headers(DConfirmation)
//*)

#include "string"

#include "generalFunctions.h"

using namespace std;

class DConfirmation: public wxDialog
{
public:
    DConfirmation(
            wxWindow* parent,
            wxString& message,
            bool& yesOrNo,
            wxWindowID id=wxID_ANY);
    virtual ~DConfirmation();

    //(*Declarations(DConfirmation)
    wxStaticText* messagePrint;
    wxButton* NoButton;
    wxButton* YesButton;
    //*)

protected:
    //(*Identifiers(DConfirmation)
    static const long ID_STATICTEXT1;
    static const long ID_BUTTON1;
    static const long ID_BUTTON2;
    //*)

private:
    wxString& m_message;
    bool& m_yesOrNo;

    //(*Handlers(DConfirmation)
    void OnYesButtonClick(wxCommandEvent& event);
    void OnNoButtonClick(wxCommandEvent& event);
    //*)

    DECLARE_EVENT_TABLE()
};

bool OKToContinue(const string& message);

#endif
