#ifndef DSEPARATENEIGHBORS_H
#define DSEPARATENEIGHBORS_H

#ifndef WX_PRECOMP
	//(*HeadersPCH(DSeparateNeighbors)
	#include <wx/sizer.h>
	#include <wx/stattext.h>
	#include <wx/button.h>
	#include <wx/dialog.h>
	//*)
#endif
//(*Headers(DSeparateNeighbors)
//*)

#include "CMesh.h"
#include "DNodeSelection.h"

class DSeparateNeighbors: public wxDialog
{
public:
    DSeparateNeighbors(
            wxWindow* parent,
            bool& modified,
            CMesh* pMesh,
            setUInt& nodeSelection,
            wxWindowID id=wxID_ANY,
            const wxPoint& pos=wxDefaultPosition,
            const wxSize& size=wxDefaultSize);
    virtual ~DSeparateNeighbors();

    //(*Declarations(DSeparateNeighbors)
    wxButton* SelectButton;
    wxButton* OKButton;
    wxStaticText* StaticText1;
    wxButton* CancelButton;
    //*)

protected:
    //(*Identifiers(DSeparateNeighbors)
    static const long ID_STATICTEXT1;
    static const long ID_BUTTON3;
    static const long ID_BUTTON1;
    static const long ID_BUTTON2;
    //*)

private:
    bool& m_modified;
    CMesh* m_pMesh;
    setUInt& m_nodeSelection;

    //(*Handlers(DSeparateNeighbors)
    void OnOKButtonClick(wxCommandEvent& event);
    void OnCancelButtonClick(wxCommandEvent& event);
    void OnSelectButtonClick(wxCommandEvent& event);
    //*)

    DECLARE_EVENT_TABLE()
};

#endif
