// Copyright (C) 2010-2011  Daniel Filkovic

// This file is part of APAME.

// APAME is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// APAME is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with APAME.  If not, see <http://www.gnu.org/licenses/>.

// file polyder.sci

// This function calculates first derivation of polynom p

function p_der = polyder(p)

// getting polynom's order
N = length(p)-1;

for i =1:N
    p_der(i) = (N+1-i)*p(i);    // p-(x2A+xB+C)->p'-(2xA+B)
end

endfunction
